import { getRuntimeConfig } from "../runtimeConfig.js";
import QBittorrent from "./QBittorrent.js";
import RTorrent from "./RTorrent.js";
import Transmission from "./Transmission.js";
import Deluge from "./Deluge.js";
let activeClient;
function instantiateDownloadClient() {
    const { rtorrentRpcUrl, qbittorrentUrl, transmissionRpcUrl, delugeRpcUrl } = getRuntimeConfig();
    if (rtorrentRpcUrl) {
        activeClient = new RTorrent();
    }
    else if (qbittorrentUrl) {
        activeClient = new QBittorrent();
    }
    else if (transmissionRpcUrl) {
        activeClient = new Transmission();
    }
    else if (delugeRpcUrl) {
        activeClient = new Deluge();
    }
}
export function getClient() {
    if (!activeClient) {
        instantiateDownloadClient();
    }
    return activeClient;
}
//# sourceMappingURL=TorrentClient.js.map