import { createRequire } from "module";
const require = createRequire(import.meta.url);
const packageDotJson = require("../package.json");
export const PROGRAM_NAME = packageDotJson.name;
export const PROGRAM_VERSION = packageDotJson.version;
export const USER_AGENT = `CrossSeed/${PROGRAM_VERSION}`;
export const EP_REGEX = /^(?<title>.+?)[_.\s-]+(?:(?<season>S\d+)?[_.\s]?(?<episode>E\d+(?:[\s-]?E?\d+)?)|(?<date>(?<year>\d{4})[_.\s-](?<month>\d{2})[_.\s-](?<day>\d{2})))/i;
export const SEASON_REGEX = /^(?<title>.+?)[_.\s-]+(?<season>S\d+)(?:[_.\s-]*?(?<seasonmax>S?\d+))?(?=[_.\s](?!E\d+))/i;
export const MOVIE_REGEX = /^(?<title>.+?)[_.\s][[(]?(?<year>\d{4})[)\]]?(?![pi])/i;
export const VIDEO_EXTENSIONS = [".mkv", ".mp4", ".avi"];
export const DATA_EXTENSIONS = [".mkv", ".avi", ".mp4", ".ts", ".flac", ".mp3"];
export const TORRENT_CACHE_FOLDER = "torrent_cache";
export var Action;
(function (Action) {
    Action["SAVE"] = "save";
    Action["INJECT"] = "inject";
})(Action = Action || (Action = {}));
export var InjectionResult;
(function (InjectionResult) {
    InjectionResult["SUCCESS"] = "INJECTED";
    InjectionResult["FAILURE"] = "FAILURE";
    InjectionResult["ALREADY_EXISTS"] = "ALREADY_EXISTS";
    InjectionResult["TORRENT_NOT_COMPLETE"] = "TORRENT_NOT_COMPLETE";
})(InjectionResult = InjectionResult || (InjectionResult = {}));
export var SaveResult;
(function (SaveResult) {
    SaveResult["SAVED"] = "SAVED";
})(SaveResult = SaveResult || (SaveResult = {}));
export var Decision;
(function (Decision) {
    Decision["MATCH"] = "MATCH";
    Decision["MATCH_SIZE_ONLY"] = "MATCH_SIZE_ONLY";
    Decision["SIZE_MISMATCH"] = "SIZE_MISMATCH";
    Decision["NO_DOWNLOAD_LINK"] = "NO_DOWNLOAD_LINK";
    Decision["DOWNLOAD_FAILED"] = "DOWNLOAD_FAILED";
    Decision["RATE_LIMITED"] = "RATE_LIMITED";
    Decision["INFO_HASH_ALREADY_EXISTS"] = "INFO_HASH_ALREADY_EXISTS";
    Decision["FILE_TREE_MISMATCH"] = "FILE_TREE_MISMATCH";
})(Decision = Decision || (Decision = {}));
export var MatchMode;
(function (MatchMode) {
    MatchMode["SAFE"] = "safe";
    MatchMode["RISKY"] = "risky";
})(MatchMode = MatchMode || (MatchMode = {}));
export var LinkType;
(function (LinkType) {
    LinkType["SYMLINK"] = "symlink";
    LinkType["HARDLINK"] = "hardlink";
})(LinkType = LinkType || (LinkType = {}));
//# sourceMappingURL=constants.js.map