import { logger } from "./logger.js";
export class CrossSeedError extends Error {
    constructor(message) {
        super(message);
        delete this.stack;
    }
    print() {
        logger.error(this.message);
    }
}
export function exitOnCrossSeedErrors(e) {
    if (e instanceof CrossSeedError) {
        e.print();
        process.exitCode = 1;
        return;
    }
    throw e;
}
//# sourceMappingURL=errors.js.map